%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 6.0-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languagelocal english
%define languageeng english
%define languageenglazy American
%define languagecode en
%define lc_ctype en_US

Summary:       English files for aspell
Name:          aspell-%{languagecode}
Version:       6.0.0
Release:       %mkrel 8
Group:         System/Internationalization
Source:        http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.bz2
URL:           http://aspell.sourceforge.net/
License:	   SCOWL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:	   spell-%{languagecode}
# old ispell is repalced with aspell
Obsoletes:	   ispell-%{languagecode}
Obsoletes:	   ispell-english, iamerica, ibritish, ispell-british

BuildRequires:	make
BuildRequires:	aspell >= %{aspell_ver}
Requires:	aspell >= %{aspell_ver}

# Mandriva Stuff
Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      enchant-dictionary = 1
Provides:      aspell-dictionary
Obsoletes:	   aspell-en_CA aspell-en_GB
Provides:	   aspell-en_CA aspell-en_GB

Autoreqprov:   no

%description
A English dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n %{fname}-%{src_ver}

%build

# don't use %%configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

chmod 644 README Copyright

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Copyright
%{_libdir}/aspell-%{aspell_ver}/*




%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-8mdv2010.0
+ Revision: 413062
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 6.0.0-7mdv2009.1
+ Revision: 350008
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.0.0-6mdv2009.0
+ Revision: 220371
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 6.0.0-5mdv2008.1
+ Revision: 182415
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.0.0-4mdv2008.1
+ Revision: 148749
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-3mdv2007.0
+ Revision: 123241
- Import aspell-en

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 6.0.0-2mdk
- rebuild

* Fri Dec 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 6.0.0-1mdk
- new release

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.0-1mdk
- new release

* Tue Jul 20 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.1-1mdk
- updated version

